package intrinsic.mx.skins;

public class ProgrammaticSkin extends intrinsic.mx.core.FlexShape implements intrinsic.mx.styles.ISimpleStyleClient, intrinsic.mx.core.IInvalidating, intrinsic.mx.core.IFlexDisplayObject, intrinsic.mx.managers.ILayoutManagerClient, intrinsic.mx.core.IProgrammaticSkin {

	/** Accessors */
	public double measuredHeight;
	public double measuredWidth;
	public boolean processedDescriptors;
	public boolean initialized;
	public int nestLevel;
	public double height;
	public double width;
	public Object styleName;
	public boolean updateCompletePendingFlag;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ProgrammaticSkin() {
}


/** Static Methods */

/** Methods */
public native void validateDisplayList();
public native void validateProperties();
public native void setActualSize(double arg0, double arg1);
public native void validateSize();
public native void validateSize(boolean arg0);
public native void move(double arg0, double arg1);
public native void validateNow();
public native void invalidateSize();
public native void invalidateDisplayList();
public native void invalidateProperties();
public native void styleChanged(String arg0);
public native Object getStyle(String arg0);

}
